Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class PermissionsSessionData

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.PermissionsSessionData

    public class PermissionsSessionData

extends java.lang.Object

PermissionsSessionData A lightweight object used to store all values associated with a single channel session of CPermissionsManager

Version:
  $Revision: 1.6 $
Author:
  Alex Vigdor

Field Summary
`boolean` | `gotActivities`
`boolean` | `gotOwners`
`boolean` | `gotTargets`
`boolean` | `isAuthorized`
`boolean` | `isFinished`
`IPermissible[]` | `owners`
`IAuthorizationPrincipal[]` | `principals`
`ChannelRuntimeData` | `runtimeData`
`IServant` | `servant`
`long` | `startRD`
`ChannelStaticData` | `staticData`
`java.lang.String` | `view`
`org.w3c.dom.Document` | `XML`

Constructor Summary
`PermissionsSessionData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticData

    public ChannelStaticData staticData

### runtimeData

    public ChannelRuntimeData runtimeData

### view

    public java.lang.String view

### XML

    public org.w3c.dom.Document XML

### servant

    public IServant servant

### principals

    public IAuthorizationPrincipal[] principals

### owners

    public IPermissible[] owners

### startRD

    public long startRD

### gotActivities

    public boolean gotActivities

### gotTargets

    public boolean gotTargets

### gotOwners

    public boolean gotOwners

### isFinished

    public boolean isFinished

### isAuthorized

    public boolean isAuthorized

Constructor Detail

### PermissionsSessionData

    public PermissionsSessionData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD